LZGREP(1)

NAME
lzgrep - search LZMA compressed files for a regular expression

SYNOPSIS
lzgrep [grep_options] [-e] pattern filename...
lzegrep ...
lzfgrep ...

DESCRIPTION
lzgrep is used to invoke the grep(1) on LZMA compressed files. All options specified are passed directly to grep. If no file is specified, then the standard input is decompressed if necessary and fed to grep. Otherwise the given files are uncompressed if necessary and fed to grep.

If lzgrep is invoked as lzegrep or lzfgrep then egrep or fgrep is used instead of grep. If the GREP environment variable is set, lzgrep uses it as the grep program to be invoked. For example:
    for sh: GREP=fgrep lzgrep string files
    for csh: (setenv GREP fgrep; lzgrep string files)

AUTHORS
Original zgrep(1) manual page by Charles Levert <charles@comm.polymtl.ca>.

Minor modifications for LZMA utils by Lasse Collin <lasse.collin@tukaani.org>.

SEE ALSO
grep(1), egrep(1), fgrep(1), lzdiff(1), lzmore(1), lzma(1)